Borrowing/Repayment Settlement

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Description

Query borrow and repayment settlement transaction history. Returns data from the last 90 days at most.

Permission: Read-only API key required.

Rate Limit: 20 requests per second.

Request

FieldTypeMandatoryDescription
typeStringNTransaction type: borrow, repay, interest, or liquidation_fee. If omitted, returns all.
coinStringNFilter by currency. If omitted, returns all.
startTimeInt64NStart timestamp in milliseconds. Defaults to 7 days ago.
endTimeInt64NEnd timestamp in milliseconds. Defaults to current time.
pageIntegerNPage number, starting from 1. Defaults to 1.
pageSizeIntegerNPage size. Defaults to 1000. Maximum 1000.

Response

FieldTypeDescription
statementIdStringTransaction flow ID.
exchangeStringExchange name, e.g., BINANCE, OKX.
typeStringTransaction type: loan_borrow, loan_repay, loan_interest, or loan_liquidation_fee.
coinStringCurrency.
deltaStringChange in available balance (positive for borrow; negative for repay, interest, or liquidation fee).
balanceStringAvailable balance after the transaction.
timestampInt64Transaction timestamp in milliseconds.

Example Response

{
  "code": 200000,
  "message": "Success",
  "data": {
    "page": 1,
    "pageSize": 1000,
    "totalSize": 106,
    "list": [
      {
        "statementId": "185647807523192897",
        "exchange": "BINANCE",
        "type": "loan_borrow",
        "coin": "USDT",
        "delta": "100.00",
        "balance": "10098.00",
        "timestamp": 1779951487250
      },
      {
        "statementId": "185649538747334721",
        "exchange": "BINANCE",
        "type": "loan_interest",
        "coin": "USDT",
        "delta": "-0.000228",
        "balance": "10097.99",
        "timestamp": 1779951900007
      },
      {
        "statementId": "185650128252567617",
        "exchange": "BINANCE",
        "type": "loan_repay",
        "coin": "USDT",
        "delta": "-50.00",
        "balance": "10047.99",
        "timestamp": 1779952040556
      }
    ]
  }
}
Query Params
string
string
string
string
string
string
Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Choose an example:
application/json